The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Xcache with open_basedir issues

Discussion in 'General Discussion' started by KingPinS, Jan 23, 2009.

  1. KingPinS

    KingPinS Member

    Joined:
    Oct 20, 2006
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Been trying to see where exactly to post this but I cant figure out so here goes....

    I have xcache 2.0.0 dev installed rev 572. using php 5.2.8 with suhosin and open_basedir. they work fine together its just that whenever there's two of one type of script installed (IPB, Wordpress) the scripts start screwing up. i.e. right now two wordpress blogs are running on the site and only one works the other gives random errors like blank page, or couldn't find random file.

    screeny of my admin page for xcache included.
    http://pix.kpsh.us/show.php/1699_XCache200dev.png.html

    OS : Centos5
    PHP :
    Code:
    PHP 5.2.8 (cli) (built: Dec 10 2008 15:22:57)
    Copyright (c) 1997-2008 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
        with XCache v2.0.0-dev, Copyright (c) 2005-2007, by mOo
        with the ionCube PHP Loader v3.1.32, Copyright (c) 2002-2007, by ionCube Ltd., and
        with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
        with Suhosin v0.9.27, Copyright (c) 2007, by SektionEins GmbH
        with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies
    any help for this would be much appreciated, i.e. tips/tricks to let multiple of similar scripts coexist. thank you. sorry if I didn't provide enough info :)
     
  2. Voltar

    Voltar Well-Known Member

    Joined:
    Apr 30, 2007
    Messages:
    269
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Bakersfield, California
    Few days late, but are you running php as a dso module? If I recall correctly opcode cachers only work in a persistent environment, so you have to use dso or fastcgi, I'm currently using PHP 5.2.8 with XCache 1.2.2 stable with no problems.

    I don't know about IPB, but I know vBulletin has the option to use XCache for the datastore, and you need to specify a prefix in the config file to prevent screwy things from happening. I haven't used IPB since the 1.3.x days, so I don't know if there is something similar in their config. As for wordpress, I have several moderately trafficked blogs on the aforementioned server, no issues there either.
     
  3. Voltar

    Voltar Well-Known Member

    Joined:
    Apr 30, 2007
    Messages:
    269
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Bakersfield, California
    How are you running PHP? FastCGI or dso?

    Like I said I have no problems with multiple WP installs, and I do have open_basedir restrictions in place.

    Edit: forgot about the damn screwy post ordering in this forum...

    Edit 2: You just made me go look at my settings and apparently my open_basedir restrictions aren't in place. They're set in WHM but not holding. Anywho, I did a test with some manual restrictions in place on another server and it worked, now to submit a ticket for it not working on FreeBSD :(
     
    #3 Voltar, Jan 28, 2009
    Last edited: Jan 28, 2009
  4. KingPinS

    KingPinS Member

    Joined:
    Oct 20, 2006
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    this is my post #2
    thank you for your reply. yes VB does have the prefix option and it works wonderfully. IPB/Wordpress dont and they get screwed up :( I have 3 isntalls of vb and they run great. my second install of wordpress and I start getting openbasedir restrict errors where the 2nd install is trying to access files from the first install somehow.
     
    #4 KingPinS, Jan 28, 2009
    Last edited: Jan 29, 2009
  5. KingPinS

    KingPinS Member

    Joined:
    Oct 20, 2006
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    this is my post # 3 at 10:31 AM 1/29/08 EST

    hmm the post ordering is ... a bit .. odd to say the least.


    php 5.2.8 is running as DSO
     
  6. Voltar

    Voltar Well-Known Member

    Joined:
    Apr 30, 2007
    Messages:
    269
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Bakersfield, California
    I'm out of ideas, although I can say that you might want to recompile with just the cacher and optimizer unless you need the other modules.

    Maybe make a post over on the xcache forums and see if they have any ideas. http://forum.lighttpd.net/forum/4
     
Loading...

Share This Page